Subject: Fwd: Guile-gnome package broken in Guix

From: swedebugia <[email-masked]>
Date: Sat, 16 Feb 2019 12:02:10 +0100

The files end up in profile/share/guile-gnome-2/... which is not in 
guiles load path.

The result of running the examples:
(first get it with guix build --source)

$ guile -s hello.scm
...
ERROR: In procedure scm-error:
no code for module (gnome gobject)

-------- Forwarded Message --------
Subject: Guile-gnome package broken in Guix
Date: Sat, 16 Feb 2019 11:47:13 +0100
From: swedebugia <[email-masked]>
To: [email-masked]

Hi

I would really like to start creating my first gtk program with guile.

The package guile-gnome in guix is unfortunately broken and the docs and 
examples are missing.

I tried fixing the package but it seems I do not understand gtk nor 
autotools well enough to succeed.

I got these questions:

* why are there no TARGET_DIR in the makefiles?
* what is the purpose of the "guilesite" variable?
* what is the purpose of the files in /defs/gnome/defs ? The makefile 
there seems to try to check for stuff in DEFS_HEADER_DIR = /usr/include

Thanks in advance.

-- 
Cheers Swedebugia